curl --request GET \
--url 'https://api.stateset.com/api/v1/suppliers' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"suppliers": [
{
"contact_name": "Ada Lovelace",
"country": "US",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"supplier_code": "string"
}
],
"total": 102
}
List suppliers
List suppliers
GET
/
api
/
v1
/
suppliers
curl --request GET \
--url 'https://api.stateset.com/api/v1/suppliers' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"suppliers": [
{
"contact_name": "Ada Lovelace",
"country": "US",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"supplier_code": "string"
}
],
"total": 102
}
Query parameters
string
string
boolean
integer (int32)
integer (int32)
Response
SupplierListResponse
SupplierResponse[]
required
integer (int64)
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/suppliers' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"suppliers": [
{
"contact_name": "Ada Lovelace",
"country": "US",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"supplier_code": "string"
}
],
"total": 102
}
Last modified on August 31, 2026